Skip to main content
POST
/
orders
/
guest
Create guest order
curl --request POST \
  --url https://api.proxyjam.com/public/v1/orders/guest \
  --header 'Content-Type: application/json' \
  --header 'X-API-Key: <api-key>' \
  --data '
{
  "email": "<string>",
  "payment_method": "<string>"
}
'

Documentation Index

Fetch the complete documentation index at: https://docs.proxyjam.com/llms.txt

Use this file to discover all available pages before exploring further.

Allows anonymous users to purchase proxies without registering. Only CryptoCloud payment is supported for guest orders.
Guest orders are paid via CryptoCloud only. Wallet payment is not available without an account.

Request body

Same fields as Create order, plus:
email
string
required
Email address to send the order confirmation and proxy credentials to.
payment_method
string
default:"cryptocloud"
Only cryptocloud is accepted for guest orders.

Response

Same as Create order. The payment_info.payment_url will always be present.

Example

curl -X POST https://api.proxyjam.com/public/v1/orders/guest \
  -H "Content-Type: application/json" \
  -d '{
    "email": "guest@example.com",
    "offer_id": 42,
    "payment_method": "cryptocloud",
    "proxy_type": "residential",
    "country": "DE",
    "quantity": 1,
    "period_days": 7,
    "idempotency_key": "550e8400-e29b-41d4-a716-446655440001"
  }'